Update Shipping Zone
The “update Shipping Zone” API allows update a shipping zone to the system.
PUT
/
store
/
shipping-zone
/
{shippingZoneId}
Update Shipping Zone
curl --request PUT \
--url https://services.leadconnectorhq.com/store/shipping-zone/{shippingZoneId} \
--header 'Content-Type: application/json' \
--data '
{
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"name": "North zone",
"countries": [
{
"code": "US",
"states": [
{
"code": "VA"
}
]
}
]
}
'const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
altId: '6578278e879ad2646715ba9c',
altType: 'location',
name: 'North zone',
countries: [{code: 'US', states: [{code: 'VA'}]}]
})
};
fetch('https://services.leadconnectorhq.com/store/shipping-zone/{shippingZoneId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/store/shipping-zone/{shippingZoneId}"
payload = {
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"name": "North zone",
"countries": [
{
"code": "US",
"states": [{ "code": "VA" }]
}
]
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"status": true,
"data": {
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"name": "North zone",
"countries": [
{
"code": "US",
"states": [
{
"code": "VA"
}
]
}
],
"_id": "655b33a82209e60b6adb87a5",
"createdAt": "2023-12-12T09:27:42.355Z",
"updatedAt": "2023-12-12T09:27:42.355Z",
"shippingRates": [
{
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"name": "North zone",
"currency": "USD",
"amount": 99.99,
"conditionType": "price",
"minCondition": 99.99,
"maxCondition": 99.99,
"shippingCarrierId": "655b33a82209e60b6adb87a5",
"_id": "655b33a82209e60b6adb87a5",
"shippingZoneId": "655b33a82209e60b6adb87a5",
"createdAt": "2023-12-12T09:27:42.355Z",
"updatedAt": "2023-12-12T09:27:42.355Z",
"description": "Ships next day",
"isCarrierRate": true,
"percentageOfRateFee": 10.99,
"shippingCarrierServices": [
{
"name": "Priority Mail Express International",
"value": "PriorityMailExpressInternational"
}
]
}
]
},
"message": "Successfully created"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Path Parameters
ID of the item that needs to be returned
Example:
"6578278e879ad2646715ba9c"
Body
application/json
Last modified on March 8, 2026
Was this page helpful?
⌘I
Update Shipping Zone
curl --request PUT \
--url https://services.leadconnectorhq.com/store/shipping-zone/{shippingZoneId} \
--header 'Content-Type: application/json' \
--data '
{
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"name": "North zone",
"countries": [
{
"code": "US",
"states": [
{
"code": "VA"
}
]
}
]
}
'const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
altId: '6578278e879ad2646715ba9c',
altType: 'location',
name: 'North zone',
countries: [{code: 'US', states: [{code: 'VA'}]}]
})
};
fetch('https://services.leadconnectorhq.com/store/shipping-zone/{shippingZoneId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/store/shipping-zone/{shippingZoneId}"
payload = {
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"name": "North zone",
"countries": [
{
"code": "US",
"states": [{ "code": "VA" }]
}
]
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"status": true,
"data": {
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"name": "North zone",
"countries": [
{
"code": "US",
"states": [
{
"code": "VA"
}
]
}
],
"_id": "655b33a82209e60b6adb87a5",
"createdAt": "2023-12-12T09:27:42.355Z",
"updatedAt": "2023-12-12T09:27:42.355Z",
"shippingRates": [
{
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"name": "North zone",
"currency": "USD",
"amount": 99.99,
"conditionType": "price",
"minCondition": 99.99,
"maxCondition": 99.99,
"shippingCarrierId": "655b33a82209e60b6adb87a5",
"_id": "655b33a82209e60b6adb87a5",
"shippingZoneId": "655b33a82209e60b6adb87a5",
"createdAt": "2023-12-12T09:27:42.355Z",
"updatedAt": "2023-12-12T09:27:42.355Z",
"description": "Ships next day",
"isCarrierRate": true,
"percentageOfRateFee": 10.99,
"shippingCarrierServices": [
{
"name": "Priority Mail Express International",
"value": "PriorityMailExpressInternational"
}
]
}
]
},
"message": "Successfully created"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}